<?php
#-----------------------------------------------------#
#          ********* Бизнес Сайты *********           #
#             Made by   :  BIZON                      #
#               E-mail  :  blin.alex@bk.ru            #
#                 Site  :  http://f913218p.bget.ru    #
#  Вы не имеете право вносить изменения в код скрипта #
#      это может повлечь неработоспособность сайта    #
#-----------------------------------------------------#
if ($numaz == 0){
header ('Location: /?&'.SID); exit;
}else{
if($admin==0){
header ('Location: /?&'.SID); exit;
}else{
$title="Админка";
$link="/?p=$pages&amp;";
if(isset($_GET['st'])){$st=check($_GET["st"]);}else{$st ="";}
if(isset($_GET['ps'])){$ps=check($_GET["ps"]);}else{unset($ps);}
if(isset($_GET['start'])){$start = (int)$_GET['start'];} else {$start = 0;}




///////////////////////////////////////////////// форум .............................
if($st==8){
if(isset($_GET['dt'])){$dt=(int)$_GET["dt"];if(all_dbnamewat(s_forum_razdel,id,$dt)==0)unset($dt);}else{unset($dt);}



if($ps==4){
if(isset($_GET['del'])){
$del=(int)$_GET["del"];
if($del==1){
$dellnast=mysql_query("DELETE FROM s_forum_nast");
header ('Location: /?p='.$pages.'&st='.$st.'&ps='.$ps.'&'.SID); exit;
}}
if(isset($_POST["ednast"]))
{
$nas=check($_POST["ednast"]);
if($nas=="go"){
$tema=(int)$_POST["tema"];
$msg=(int)$_POST["msg"];
if(all_dbname(s_forum_nast)!=0) mysql_query("DELETE FROM s_forum_nast");
$sql = mysql_query("INSERT INTO s_forum_nast (id,tema,mgs) Values('1','$tema','$msg')",$db);
header ('Location: /?p='.$pages.'&st='.$st.'&ps='.$ps.'&'.SID); exit;
}}
}













if($ps==3){
if(isset($_GET['mt'])){$mt=(int)$_GET["mt"];if(all_dbnamewat(s_forum_mgs,id,$mt)==0)unset($mt);}else{unset($mt);}
if(isset($mt) && isset($_POST["edmgs"])){
$edmgs=check($_POST["edmgs"]);
if($edmgs=="go"){
$text=check($_POST["text"]);
$deis=(int)$_POST["deis"];
if($deis>2) $deis=0;
if(strlen($text)<10) $text=inf_db(s_forum_mgs,id,$mt,mgs);
if($deis!=2){
$sq1=mysql_query("UPDATE `s_forum_mgs` SET `status`='$deis',`mgs`='$text' WHERE `id`='$mt'");
unset($edmgs,$sq1);
header ('Location: /?p='.$pages.'&st='.$st.'&ps='.$ps.'&mt='.$mt.'&'.SID); exit;
}else{
mysql_query("DELETE FROM s_forum_mgs WHERE `id`='$mt'");
header ('Location: /?p='.$pages.'&st='.$st.'&ps='.$ps.'&'.SID); exit;
}


}}}


if($ps==2){
if(isset($_GET['tt'])){$tt=(int)$_GET["tt"];if(all_dbnamewat(s_forum_tema,id,$tt)==0)unset($tt);}else{unset($tt);}
if(isset($tt) && isset($_POST["edtema"])){
$edtema=check($_POST["edtema"]);
if($edtema=="go"){
$razdel=(int)$_POST["razdel"];
$prazdel=(int)$_POST["prazdel"];
$nazvan=check($_POST["nazvan"]);
$text=check($_POST["text"]);
$deis=(int)$_POST["deis"];
if($deis>2) $deis=0;
if(strlen($nazvan)<5) $name=inf_db(s_forum_tema,id,$tt,name);
if(strlen($text)<10) $text=inf_db(s_forum_tema,id,$tt,mgs);
if($razdel==0) {
$razdel=inf_db(s_forum_tema,id,$tt,razdel);
$prazdel=inf_db(s_forum_tema,id,$tt,podrazdel);	}
else{
if(all_dbnamewat(s_forum_podraz,razdel,$razdel)==0){
$razdel=inf_db(s_forum_tema,id,$tt,razdel);
$prazdel=inf_db(s_forum_tema,id,$tt,podrazdel);
}}
if($deis!=2){
$sq1=mysql_query("UPDATE `s_forum_tema` SET `razdel`='$razdel',`podrazdel`='$prazdel',`status`='$deis',`name`='$nazvan',`mgs`='$text' WHERE `id`='$tt'");
$sq2=mysql_query("UPDATE `s_forum_mgs` SET `razdel`='$razdel',`podrazdel`='$prazdel' WHERE `tema`='$tt'");
unset($edtema,$sq1,$sq2);
header ('Location: /?p='.$pages.'&st='.$st.'&ps='.$ps.'&tt='.$tt.'&'.SID); exit;
}else{
mysql_query("DELETE FROM s_forum_mgs WHERE `tema`='$tt'");
mysql_query("DELETE FROM s_forum_tema WHERE `id`='$tt'");
header ('Location: /?p='.$pages.'&st='.$st.'&ps='.$ps.'&'.SID); exit;
}}}}
if($ps==1){
if(isset($_GET['pt'])){$pt=(int)$_GET["pt"];if(all_dbnamewat(s_forum_podraz,id,$pt)==0)unset($pt);}else{unset($pt);}
if(isset($pt) && isset($_POST["edpraz"])){
$edpraz=check($_POST["edpraz"]);
if($edpraz=="go"){
$razdel=(int)$_POST["razdel"];
$name=check($_POST["name"]);
$opis=check($_POST["opis"]);
$deis=(int)$_POST["deis"];
if(strlen($name)<5) $name=inf_db(s_forum_podraz,id,$pt,name);
if(strlen($name)<10) $opis=inf_db(s_forum_podraz,id,$pt,opis);
if($deis>2) $deis=0;
if($deis!=2){
$sq1=mysql_query("UPDATE `s_forum_podraz` SET `razdel`='$razdel',`status`='$deis',`user`='".s_userdan(id)."',`name`='$name',`opis`='$opis' WHERE `id`='$pt'");
$sq2=mysql_query("UPDATE `s_forum_tema` SET `razdel`='$razdel' WHERE `podrazdel`='$pt'");
$sq3=mysql_query("UPDATE `s_forum_mgs` SET `razdel`='$razdel' WHERE `podrazdel`='$pt'");
unset($edpraz,$sq1,$sq2,$sq3);
header ('Location: /?p='.$pages.'&st='.$st.'&ps='.$ps.'&pt='.$pt.'&'.SID); exit;
}else{
mysql_query("DELETE FROM s_forum_mgs WHERE `podrazdel`='$pt'");
mysql_query("DELETE FROM s_forum_tema WHERE `podrazdel`='$pt'");
mysql_query("DELETE FROM s_forum_podraz WHERE `id`='$pt'");
header ('Location: /?p='.$pages.'&st='.$st.'&ps='.$ps.'&'.SID); exit;
}

}}
if(isset($_POST["addpraz"])){
$addpraz=check($_POST["addpraz"]);
if($addpraz=="go"){
$razdel=(int)$_POST["razdel"];
$name=check($_POST["name"]);
$opis=check($_POST["opis"]);
if(all_dbnamewat(s_forum_razdel,id,$razdel)!=0){
if(all_dbnamewatstatus(s_forum_podraz,razdel,$razdel,name,$name)==0){
if((strlen($name)>=3)&&(strlen($name)<=250)){
if((strlen($opis)>=10)&&(strlen($name)<=250)){
$sql=mysql_query("INSERT INTO s_forum_podraz (id,razdel,status,user,name,opis,poz) Values ('','$razdel','0','".s_userdan(id)."','$name','$opis','".time()."')",$db);
unset($addpraz,$sql);
header ('Location: /?p='.$pages.'&st='.$st.'&ps='.$ps.'&'.SID); exit;
}else{$error="Убедитесь что в описании содержится от 10 до 250 символов!";}
}else{$error="Убедитесь что название содержит от 3 до 250 символов!";}
}else{$error="Подраздел с таким названием уже существует в данном разделе.";}
}else{$error="Выбранный вами раздел несуществует.";}
}}}
/////////////////////////////////////// нет $PS
if(isset($dt) && isset($_POST["edraz"])){
$edraz=check($_POST["edraz"]);
if($edraz=="go"){
$name=check($_POST["name"]);
if(strlen($name)<5) $name=inf_db(s_forum_razdel,id,$dt,name);
$deis=(int)$_POST["deis"];
if($deis>2) $deis=0;
if($deis!=2){
$sq2=mysql_query("UPDATE `s_forum_razdel` SET `name`='$name',`user`='".s_userdan(id)."',`status`='$deis' WHERE `id`='$dt'");
unset($edraz,$sq2);
header ('Location: /?p='.$pages.'&st='.$st.'&dt='.$dt.'&'.SID); exit;
}else{
mysql_query("DELETE FROM s_forum_mgs WHERE `razdel`='$dt'");
mysql_query("DELETE FROM s_forum_tema WHERE `razdel`='$dt'");
mysql_query("DELETE FROM s_forum_podraz WHERE `razdel`='$dt'");
mysql_query("DELETE FROM s_forum_razdel WHERE `id`='$dt'");
header ('Location: /?p='.$pages.'&st='.$st.'&'.SID); exit;
}}}
if(isset($_POST["addraz"])){
$addraz=check($_POST["addraz"]);
if($addraz=="go"){
$name=check($_POST["name"]);
if(all_dbnamewat(s_forum_razdel,name,$name)==0){
if((strlen($name)>=3)&&(strlen($name)<=250)){
$sql=mysql_query("INSERT INTO s_forum_razdel (id,name,user,status) Values ('','$name','".s_userdan(id)."','0')",$db);
unset($addraz,$sql);
header ('Location: /?p='.$pages.'&st='.$st.'&'.SID); exit;
}else{$error="Убедитесь что название содержит от 3 до 250 символов!";}
}else{$error="Раздел с таким названием уже существует введите другое!";}
}}}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
if($st==7){
if(isset($_GET['dt'])){$dt=(int)$_GET["dt"];if(all_dbnamewat(s_vit_tovar,id,$dt)==0)unset($dt);}else{unset($dt);}
if(isset($_GET['ct'])){$ct=(int)$_GET["ct"];if(all_dbnamewat(s_vit_categ,id,$ct)==0)unset($ct);}else{unset($ct);}


if($ps==1 && isset($ct)&& isset($_POST["delet"])){
$delet=check($_POST["delet"]);
if($delet=="go"){
$stdd="SELECT * FROM s_vit_tovar WHERE `categ`= '$ct'";
$rdf=mysql_query($stdd);
while($rgf=mysql_fetch_array($rdf)){
unlink("vit/".$rgf['foto1']);
$sqdk = mysql_query("DELETE FROM s_vit_kor WHERE `tovar`='".$rgf['id']."'");
}
$sqdt = mysql_query("DELETE FROM s_vit_tovar WHERE `categ`='$ct'");
$sqdc = mysql_query("DELETE FROM s_vit_categ WHERE `id`='$ct'");
unset($delet);
header ('Location: /?p='.$pages.'&st='.$st.'&ps='.$ps.'&'.SID); exit;
}
}




if($ps==1 && isset($ct)&& isset($_POST["red"])){
$red=check($_POST["red"]);
if($red=="go"){
$name=check($_POST["name"]);
if(all_dbnamewat(s_vit_categ,name,$name)==0){
if((strlen($name)>=3)&&(strlen($name)<=250)){
$sql=mysql_query("UPDATE `s_vit_categ` SET `name`='$name' WHERE `id`='$ct'");
unset($red,$sql);
header ('Location: /?p='.$pages.'&st='.$st.'&ps='.$ps.'&'.SID); exit;
}else{$error="Убедитесь что название содержит от 3 до 250 символов!";}
}else{$error="Категория с таким названием уже существует введите другое!";}
}
}



if(isset($dt)){
$p_dbtu="SELECT * FROM s_vit_tovar WHERE `id`='".$dt."'";
$p_dbt=mysql_query($p_dbtu);
$rbn=mysql_fetch_array($p_dbt);
if(!empty($_POST["dei"]))
{
$dei=check($_POST["dei"]);
if($dei=="go"){
$name=check($_POST["name"]);
$deis=(int)($_POST["deis"]);
if($deis==2){
unlink("vit/".$rbn['foto1']);
$sqdk = mysql_query("DELETE FROM s_vit_kor WHERE `tovar`='$dt'");
$sqdt = mysql_query("DELETE FROM s_vit_tovar WHERE `id`='$dt'");
$text_m="Уважаемый пользователь [b]".prof_dan(login,$rbn['user'])."[/b], ваш товар [b](ID [red]".$dt."[/red])[/b] был удален с ветрины нашего сайта";
$tema_m="Уведомления Администрации";
$db_mvh = mysql_query("INSERT INTO s_vhmail (id,avtor,user,text,admin,status,time,tema) Values ('','".s_userdan(id)."','".$rbn['user']."','$text_m','".s_userdan(admin)."','0','".time()."','$tema_m')",$db);
unset($dei);
header ('Location: /?p='.$pages.'&st='.$st.'&'.SID); exit;
}else{
if(isset($name)) $sq1=mysql_query("UPDATE `s_vit_tovar` SET `tth`='$name' WHERE `id`='$dt'");
if($deis==1) {
$sq2=mysql_query("UPDATE `s_vit_tovar` SET `status`='1' WHERE `id`='$dt'");
$text_m="Уважаемый пользователь [b]".prof_dan(login,$rbn['user'])."[/b], ваш товар [b](ID [red]".$dt."[/red])[/b] был успешно размещен на сайте";
$tema_m="Уведомления Администрации";
$db_mvh = mysql_query("INSERT INTO s_vhmail (id,avtor,user,text,admin,status,time,tema) Values ('','".s_userdan(id)."','".$rbn['user']."','$text_m','".s_userdan(admin)."','0','".time()."','$tema_m')",$db);
}else{
$sq2=mysql_query("UPDATE `s_vit_tovar` SET `status`='0' WHERE `id`='$dt'");
}
unset($dei);
header ('Location: /?p='.$pages.'&st='.$st.'&dt='.$dt.'&'.SID); exit;
}



}}

}

if($ps==2){
if(!empty($_POST["add"]))
{
$add=check($_POST["add"]);
if($add=="go"){
$name=check($_POST["name"]);
if(all_dbnamewat(s_vit_categ,name,$name)==0){
if((strlen($name)>=3)&&(strlen($name)<=250)){
$sql = mysql_query("INSERT INTO s_vit_categ (id,name,status) Values ('','$name','0')",$db);
unset($add,$sql);
header ('Location: /?p='.$pages.'&st='.$st.'&ps=1&'.SID); exit;
}else{$error="Убедитесь что название содержит от 3 до 250 символов!";}
}else{$error="Категория с таким названием уже существует введите другое!";}
}}}
}
//////////////////////////////////////////////////////////////////////////// Пользователи
if($st==6){
if(isset($_GET['id'])){
$id=(int)$_GET["id"];
$db_p = "SELECT * FROM s_useres WHERE `id`='$id'";
$db_pp = mysql_query($db_p);
$tpp = mysql_num_rows($db_pp);
if($tpp==0){header ('Location: /?p='.$pages.'&st='.$st.'&'.SID); exit;}else{
$usma = mysql_fetch_array($db_pp);
if(isset($_POST["razban"]))
{
$razban=check($_POST["razban"]);
if($razban=="go"){
$sq2=mysql_query("UPDATE `s_useres` SET `ban`='',`prin`='' WHERE `id`='$id'");
header ('Location: /?p='.$pages.'&st='.$st.'&start='.$start.'&id='.$id.''.SID); exit;
}}
if(isset($_POST["ban"]))
{
$ban=check($_POST["ban"]);
if($ban=="go"){
$timeb=(int)$_POST["timeb"];
$inet=(int)$_POST["inet"];
if($inet==0 or $inet>4) $inet=1;
$tema=check($_POST["tema"]);
if($usma['admin']==0){
if($timeb!=0){
if(strlen($tema)>=5){
if($inet==4) $timer=($timeb*86400)+time();
if($inet==3) $timer=($timeb*3600)+time();
if($inet==2) $timer=($timeb*60)+time();
if($inet==1) $timer=$timeb+time();
$sq2=mysql_query("UPDATE `s_useres` SET `ban`='$timer',`prin`='$tema' WHERE `id`='$id'");
header ('Location: /?p='.$pages.'&st='.$st.'&start='.$start.'&id='.$id.''.SID); exit;
}else{$error="Причина БАННА неуказана или менее 5 символов.";}
}else{$error="Укажите время БАННА.";}
}else{$error="Забанить Администратора сайта невозможно.";}

}}}}}
/////////////////////////////////////////////////////////////////////////// Галерея ...............
if($st==5){
if(isset($_POST["del"]))
{
$del=(int)$_POST["del"];
$db_p = "SELECT * FROM s_gallery WHERE `id`='$del'";
$db_pp = mysql_query($db_p);
$tpp = mysql_num_rows($db_pp);
if($tpp==0){header ('Location: /?p='.$pages.'&st='.$st.'&'.SID); exit;}else{
$usma = mysql_fetch_array($db_pp);
$text_m="Уважаемый пользователь [b]".prof_dan(login,$usma['avtor'])."[/b], ваш снимок [b](ID [red]".$del."[/red])[/b] удален с сайта в связи стем, что он не прошел проверку администрации.";
$tema_m="Уведомления Администрации";
$db_mvh = mysql_query("INSERT INTO s_vhmail (id,avtor,user,text,admin,status,time,tema) Values ('','".s_userdan(id)."','".$usma['avtor']."','$text_m','".s_userdan(admin)."','0','".time()."','$tema_m')",$db);
unlink("images/gallery/".$usma['url']);
mysql_query("DELETE FROM s_gallery WHERE `id`='$del'");
header ('Location: /?p='.$pages.'&st='.$st.'&start='.$start.'&'.SID); exit;
}unset($del);}
if(isset($_POST["ok"]))
{
$ok=(int)$_POST["ok"];
$db_p = "SELECT * FROM s_gallery WHERE `id`='$ok' and `status`='0'";
$db_pp = mysql_query($db_p);
$tpp = mysql_num_rows($db_pp);
if($tpp==0){header ('Location: /?p='.$pages.'&st='.$st.'&'.SID); exit;}else{
$usma = mysql_fetch_array($db_pp);
$oki="Снимок проверен и добавлен в галерею сайта.";
$sq2=mysql_query("UPDATE `s_gallery` SET `status`='1' WHERE `id`='$ok'");
$text_m="Уважаемый пользователь [b]".prof_dan(login,$usma['avtor'])."[/b], ваш снимок [b](ID [red]".$ok."[/red])[/b] был успешно проверен и добавлен в галлерею сайта";
$tema_m="Уведомления Администрации";
$db_mvh = mysql_query("INSERT INTO s_vhmail (id,avtor,user,text,admin,status,time,tema) Values ('','".s_userdan(id)."','".$usma['avtor']."','$text_m','".s_userdan(admin)."','0','".time()."','$tema_m')",$db);
}
unset($ok);
}}
////////////////////////////////////////////////////////////////////////// Почта
if($st==4){
if(isset($_GET['ix'])){
$ix=(int)$_GET["ix"];
if($ix==3){
$del_v =mysql_query("DELETE FROM s_vhmail");
$del_i =mysql_query("DELETE FROM s_ismail");
unset($del_v,$del_i); header ('Location: /?p='.$pages.'&st='.$st.'&'.SID); exit;
}
if($ix!=2)$ix=1;
}else{$ix=1;}
if($ix==1){
$dbn=all_dbname(s_vhmail);
$ifop="Входящих писем нет";
$db_mal="s_vhmail";
}else{
$db_mal="s_ismail";
$dbn=all_dbname(s_ismail);
$ifop="Иcходящих писем нет";
}
if (isset($_GET['idm']))
{
$idm = (int)$_GET['idm'];
$db_p = "SELECT * FROM $db_mal WHERE `id`='$idm'";
$db_pp = mysql_query($db_p);
$tpp = mysql_num_rows($db_pp);
if($tpp==0) {unset($db_p,$idm); header ('Location: /?p='.$pages.'&st='.$st.'&'.SID); exit;}else{
$usma = mysql_fetch_array($db_pp);
if(isset($_POST["del"]))
{$del=check($_POST["del"]);
if($del=="go"){
$delm_db=mysql_query("DELETE FROM $db_mal WHERE `id`='$idm'");
unset($delm_db,$del); header ('Location: /?p='.$pages.'&st='.$st.'&ix='.$ix.'&'.SID); exit;
}}}}}
////////////////////////////////////////////////////////////////////////////Соглашение/
if($st==3){
if(isset($_GET['onas']))
{$onas=(int)$_GET["onas"];
if($onas!=2) $onas=1;
}else{
$onas=1;
}
if(!empty($_POST["adsog"]))
{
$adsog=check($_POST["adsog"]);
if($adsog=="go"){
$textnev=check($_POST["textnev"]);
if(all_dbnamewat(s_soglhen,status,$onas)==0) $sql = mysql_query("INSERT INTO s_soglhen (id,text,status) Values ('','$textnev','$onas')",$db);
else
$sql=mysql_query("UPDATE `s_soglhen` SET `text`='$textnev' WHERE `status`='$onas'");
unset($adsog,$sql);
header ('Location: /?p='.$pages.'&st='.$st.'&onas='.$onas.'&'.SID); exit;
}}
}
//////////////////////////////////////////////////////////////////////////////Новости
if($st==1){
if (isset($_GET['nev']))
{$nev = check($_GET["nev"]);
if($nev=="add"){
if(!empty($_POST["addnev"]))
{
$addnev=check($_POST["addnev"]);
if($addnev=="go"){
$naznew=check($_POST["naznew"]);
$textnev=check($_POST["textnev"]);
$filenew_size = $_FILES['filenew']['size'];
$filenew_name = $_FILES['filenew']['name'];
$size = getimagesize($_FILES['filenew']['tmp_name']);
$log=time();
if(strrchr($filenew_name, '.')=='.jpg'){
if($filenew_size>0 && $filenew_size<=100000){
if($size[0]==610 && $size[1]==190){
if((strlen($naznew)>=10)&&(strlen($naznew)<=150)){
if((strlen($textnev)>=40)&&(strlen($textnev)<=20000)){
if(copy($_FILES['filenew']['tmp_name'],'images/new/'.$log.'.jpg')){
@chmod('images/new/'.$log.'.jpg', 0666);
$sql = mysql_query("INSERT INTO s_nevs (id,nazvanie,data,nevs,avtor,admin,image,status,poza) Values ('','$naznew','".time()."','$textnev','".s_userdan(id)."','0','$log.jpg','0','0')",$db);
if(!$sql){$error="Запрос не прошел. Попробуйте еще раз.";}else{
header ('Location: /?p='.$pages.'&st='.$st.'&'.SID); exit;
}
} else {$N_error="Не удалось загрузить картинку!";}
} else {$N_error="Убедитесь что в тексте содержит от 40 до 2000 символов";}
} else {$N_error="Убедитесь что название содержит от 10 до 150 символов";}
} else {$N_error="Размер картинки должен быть <b>610*190 px</b>";}
} else {$N_error="Вес картинки должен быть не более чем <b>100 кб</b>";}
} else {$N_error="Разрешается загружать картинку только в формате <b>.jpg</b>";}
}
}else{
unset($_POST["addnev"]);
}
}else{
$nevs = (int)$nev;
$nev_db_zap = "SELECT * FROM s_nevs WHERE `id`='$nevs'";
$nev_db = mysql_query($nev_db_zap);
$coll_dbn = mysql_num_rows($nev_db);
$n_db = mysql_fetch_array($nev_db);
if($coll_dbn==0){
unset($nevs);
header ('Location: /?p='.$pages.'&st='.$st.'&'.SID); exit;
}else{
if(isset($_POST["addnev"]))
{
$addnev=check($_POST["addnev"]);
if($addnev=="del"){
unlink("images/new/".$n_db['image']);
mysql_query("DELETE FROM s_nevs WHERE `id`='$nevs'");
header ('Location: /?p='.$pages.'&st='.$st.'&'.SID); exit;
}
if($addnev=="go"){
$naznew=check($_POST["naznew"]);
$textnev=check($_POST["textnev"]);
if(empty($naznew)) $naznew=$n_db['nazvanie'];
if(empty($textnev)) $textnev=$n_db['nevs'];
if(isset($_FILES['filenew']['tmp_name'])){
$filenew_size = $_FILES['filenew']['size'];
$filenew_name = $_FILES['filenew']['name'];
$size = getimagesize($_FILES['filenew']['tmp_name']);
$log=time();
}

if(empty($_FILES['filenew']['tmp_name']) or strrchr($filenew_name, '.')=='.jpg'){
if(empty($_FILES['filenew']['tmp_name']) or ($filenew_size>0 && $filenew_size<=100000)){
if(empty($_FILES['filenew']['tmp_name']) or ($size[0]==610 && $size[1]==190)){
if((strlen($naznew)>=20)&&(strlen($naznew)<=150)){
if((strlen($textnev)>=40)&&(strlen($textnev)<=20000)){
if(empty($_FILES['filenew']['tmp_name']) or copy($_FILES['filenew']['tmp_name'],'images/new/'.$log.'.jpg')){
if(!empty($_FILES['filenew']['tmp_name'])) {@chmod('images/new/'.$log.'.jpg', 0666); unlink("images/new/".$n_db['image']);}
if(empty($_FILES['filenew']['tmp_name'])) $file=$n_db['image']; else $file=$log.".jpg";
$sql=mysql_query("UPDATE `s_nevs` SET `nazvanie`='$naznew',`nevs`='$textnev',`image`='$file' WHERE `id`='$nevs'");
unset($sql,$_FILES['filenew']);
header ('Location: /?p='.$pages.'&st='.$st.'&'.SID); exit;
}else{$N_error="Не удалось загрузить картинку!";}
}else{$N_error="Убедитесь что в тексте содержит от 40 до 2000 символов";}
}else{$N_error="Убедитесь что название содержит от 10 до 150 символов";}
}else{$N_error="Размер картинки должен быть <b>610*190 px</b>";}
}else{$N_error="Вес картинки должен быть не более чем <b>100 кб</b>";}
}else{$N_error="Разрешается загружать картинку только в формате <b>.jpg</b>";}
}}}}}}
///////////////////////////////////////////////////////////////////////////////////////////////
if (isset($_GET['sbros']))
{$sbros = check($_GET["sbros"]);
if($sbros=="del"){
if(!empty($_POST["deler"]))
{
$deler=check($_POST["deler"]);
if($deler=="go"){
$dellnast=mysql_query("DELETE FROM s_nast");
header ('Location: /?p='.$pages.'&st='.$st.'&'.SID); exit;
}}
}else{
unset($sbros);}}
if(!empty($_POST["nas"]))
{
$nas=check($_POST["nas"]);
if($nas=="go"){
$name_sp=check($_POST["name_sp"]);
$name_s=check($_POST["name_s"]);
$url_img=check($_POST["url_img"]);
$reg_s=check($_POST["reg_s"]);
if(empty($reg_s))  $reg_s=0;
$db_c = "SELECT * FROM `s_nast`";
$db_go = mysql_query($db_c);
$tall = mysql_num_rows($db_go);
if($tall!=0) $dellnast=mysql_query("DELETE FROM s_nast");
$sql = mysql_query("INSERT INTO s_nast (id,name_sp,name_s,url_img,reg_s) Values ('1','$name_sp','$name_s','$url_img','$reg_s')",$db);
header ('Location: /?p='.$pages.'&st='.$st.'&'.SID); exit;
}}
///////////////////////////////////////////////////////////////////////////////////////////////////
}}
?>